class Repository:

    """In memory storage for PuppyPlace entities"""

    def __init__(self):
        self.storage = {}

    def create_or_update(self, id, entry):
        self.storage[id] = entry

    def delete(self, id):
        del self.storage[id]

    def find_by_id(self, id):
        return self.storage.get(id)

    def all(self):
        return list(self.storage.values())