class Animal:

    """An animal representation"""

    def __init__(self, animal_type, name, breed):
        self.animal_type = animal_type
        self.name = name
        self.breed = breed
        self.age = 0

    def birth_day(self):
        self.age += 1

    def get_age(self):
        return self.age

    def get_name(self):
        return self.name


class Cat(Animal):

    """A Cat representation"""

    def __init__(self, name, breed):
        Animal.__init__(self, "cat", name, breed)


class Dog(Animal):

    """A Dog representation"""

    def __init__(self, name, breed):
        Animal.__init__(self, "dog", name, breed)

if __name__ == '__main__':
    qwerty = Dog("Qwerty", "German Shepperd")
    raul = Cat("Raul", "Siamese")
    while qwerty.get_age() < 9:
        qwerty.birth_day()
    while raul.get_age() < 3:
        raul.birth_day()
    print("My {}, {}, has {} years".format(qwerty.animal_type, qwerty.get_name(), qwerty.get_age()))
    print("My {}, {}, has {} years".format(raul.animal_type, raul.get_name(), raul.get_age()))